# $Revision: 1.9 $, $Date: 2011/04/13 19:18:24 $
#
# Conditional builds:
%bcond_with	libsyncml	# enable experimental SyncML plugin
#
Summary:	Simple PIM application
Summary(pl.UTF-8):	Prosta aplikacja PIM (do zarządzania informacjami osobistymi)
Name:		osmo
Version:	0.2.10
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/osmo-pim/%{name}-%{version}.tar.gz
# Source0-md5:	a774db748228efee96186158d553ade9
Patch0:		%{name}-datadir.patch
Patch1:		%{name}-libnotify.patch
URL:		http://clayo.org/osmo/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	libgringotts-devel >= 1.2.1
BuildRequires:	libical-devel >= 0.27
BuildRequires:	libnotify-devel >= 0.4.4
%{?with_libsyncml:BuildRequires:	libsyncml-devel >= 0.4.0}
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Osmo is a handy personal organizer which includes calendar, tasks
manager and address book modules. It was designed to be a small, easy
to use and good looking PIM tool to help to manage personal
information. In current state the organizer is quite convenient in use
- for example, user can perform nearly all operations using keyboard.
Also, a lot of parameters are configurable to meet user preferences.
On the technical side, Osmo is GTK+ based tool which use plain XML
database to store all personal data.

%description -l pl.UTF-8
Osmo to podręczny osobisty organizer, zawierający moduły kalendarza,
zarządzania zadaniami i książki adresowej. Został zaprojektowany jako
małe, łatwe w użyciu i dobrze wyglądające narzędzie PIM, mające pomóc
w zarządzaniu informacjami osobistymi. W aktualnym stanie rozwoju
organizer jest w miarę wygodny w użyciu - na przykład można wykonywać
prawie wszystkie operacje z klawiatury. Ponadto większość parametrów
jest konfigurowalna zgodnie z upodobaniami użytkownika. Od strony
technicznej Osmo jest aplikacją opartą na GTK+, wykorzystującą do
przechowywania danych bazę danych w czystym XML-u.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with%{!?with_libsyncml:out}-libsyncml
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TRANSLATORS
%attr(755,root,root) %{_bindir}/osmo
%{_datadir}/%{name}
%{_pixmapsdir}/osmo.png
%{_desktopdir}/osmo.desktop
%{_iconsdir}/hicolor/*/apps/osmo.*
%{_mandir}/man1/osmo.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: osmo.spec,v $
Revision 1.9  2011/04/13 19:18:24  megabajt
- fixed build with libnotify 0.7
- release 2

Revision 1.8  2010/04/07 13:16:50  lisu
- /usr/share/sounds/osmo/alram.wav -> /usr/share/osmo/sounds/alarm.wav
- use auto*

Revision 1.7  2010/04/07 13:09:07  lisu
- 0.2.10
- TODO added

Revision 1.6  2009/11/04 10:35:37  lisu
- up to 0.2.8
- chnages in %%files
- new URL

Revision 1.5  2008/07/26 16:29:12  megabajt
- fix locale name (zh -> zh_CN)
- release 2

Revision 1.4  2008/07/24 17:53:38  arvenil
- up to 0.2.2
- added libsyncml bcond
- BR: libsyncml-devel
- BR: gettext-devel
- cleanup

Revision 1.3  2008/04/05 08:09:38  gotar
- upgraded to 0.2.0 (TODO: PLD-ize desktop file)

Revision 1.2  2008-03-10 20:32:37  qboosh
- pl, more docs and BRs

Revision 1.1  2007-10-21 22:58:27  aredridel
- added
